Bug 807605 - [abrt] kernel: WARNING: at net/mac80211/rx.c:3083 ieee80211_rx+0x9d3/0x9e0 [mac80211]()
[abrt] kernel: WARNING: at net/mac80211/rx.c:3083 ieee80211_rx+0x9d3/0x9e0 [m...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
abrt_hash:d22c9a6a342f186854cca666670...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 06:25 EDT by João Batista
Modified: 2012-11-14 10:24 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 10:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description João Batista 2012-03-28 06:25:35 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.3.0-4.fc16.x86_64 root=UUID=d6138646-d617-490b-931e-2aa36b2fd2da ro rd.md=0 rd.lvm=0 rd.dm=0 KEYTABLE=pt-latin1 quiet SYSFONT=latarcyrheb-sun16 rhgb rd.luks=0 LANG=en_US.UTF-8
event_log:      2012-03-28-11:24:42> Smolt profile successfully saved
kernel:         3.3.0-4.fc16.x86_64
reason:         WARNING: at net/mac80211/rx.c:3083 ieee80211_rx+0x9d3/0x9e0 [mac80211]()
time:           Wed 28 Mar 2012 11:23:29 AM WEST

backtrace:
:WARNING: at net/mac80211/rx.c:3083 ieee80211_rx+0x9d3/0x9e0 [mac80211]()
:Hardware name: SATELLITE P750
:Rate marked as an HT rate but passed status->rate_idx is not an MCS index [0-76]: 127 (0x7f)
:Modules linked in: ath9k ppdev parport_pc lp parport fuse rfcomm fcoe libfcoe libfc scsi_transport_fc scsi_tgt 8021q garp stp llc be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi bnep coretemp snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore snd_page_alloc arc4 mac80211 btusb bluetooth toshiba_acpi sparse_keymap ath9k_common ath9k_hw ath cfg80211 rfkill uvcvideo videobuf2_core videodev media v4l2_compat_ioctl32 videobuf2_vmalloc videobuf2_memops hid_logitech_dj iTCO_wdt iTCO_vendor_support joydev microcode ir_lirc_codec lirc_dev ir_mce_kbd_decoder i2c_i801 ir_sanyo_decoder ir_sony_decoder ir_jvc_decoder ir_rc6_decoder ir_rc5_decoder jmb38x_ms rc_rc6_mce ir_nec_decoder r8169 memstick mii ene_ir rc_core toshiba_bluetooth uinput sdhci_pci sdhci mm
:c_core mxm_wmi wmi i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: ath9k]
:Pid: 0, comm: swapper/0 Not tainted 3.3.0-4.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff81057b1f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff81057c16>] warn_slowpath_fmt+0x46/0x50
: [<ffffffffa0356cf3>] ieee80211_rx+0x9d3/0x9e0 [mac80211]
: [<ffffffff812dc284>] ? map_single+0x44/0x60
: [<ffffffffa0664641>] ath_rx_tasklet+0xc71/0x1b60 [ath9k]
: [<ffffffff812dc2a0>] ? map_single+0x60/0x60
: [<ffffffffa065dad5>] ? ath9k_ioread32+0x35/0x90 [ath9k]
: [<ffffffffa066206c>] ath9k_tasklet+0xfc/0x1b0 [ath9k]
: [<ffffffff8105eae8>] tasklet_action+0x78/0x140
: [<ffffffff8105f148>] __do_softirq+0xb8/0x230
: [<ffffffff81036274>] ? ack_apic_level+0x74/0x1a0
: [<ffffffff815fd4dc>] call_softirq+0x1c/0x30
: [<ffffffff81016455>] do_softirq+0x65/0xa0
: [<ffffffff8105f55e>] irq_exit+0x9e/0xc0
: [<ffffffff815fdd43>] do_IRQ+0x63/0xe0
: [<ffffffff815f42ee>] common_interrupt+0x6e/0x6e
: <EOI>  [<ffffffff8131b326>] ? intel_idle+0xe6/0x150
: [<ffffffff8131b308>] ? intel_idle+0xc8/0x150
: [<ffffffff814a4071>] cpuidle_idle_call+0xc1/0x280
: [<ffffffff8101322f>] cpu_idle+0xcf/0x120
: [<ffffffff815d230e>] rest_init+0x72/0x74
: [<ffffffff81ceebf8>] start_kernel+0x3ba/0x3c5
: [<ffffffff81cee346>] x86_64_start_reservations+0x131/0x135
: [<ffffffff81cee140>] ? early_idt_handlers+0x140/0x140
: [<ffffffff81cee44c>] x86_64_start_kernel+0x102/0x111

smolt_data:
:
:
:General
:=================================
:UUID: a31f84a9-01a3-41c7-b238-02d285856868
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 3991.00
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2630QM CPU @ 2.00GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 8
:CPU Speed: 2001
:System Memory: 3862
:System Swap: 3906
:Vendor: TOSHIBA
:System: SATELLITE P750 PSAY3E-00L00GEP
:Form factor: Notebook
:Kernel: 3.3.0-4.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:260:4473:64561) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:257:4473:64561) pci, pcieport, PCI/PCI, Xeon E3-1200/2nd Generation Core Processor Family PCI Express Root Port
:(6523:9108:4473:64560) pci, None, BASE, xD Host Controller
:(6523:9105:4473:64560) pci, None, BASE, Standard SD Host Controller
:(6523:9107:4473:64560) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9106:4473:64560) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(32902:7202:4473:64560) pci, None, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(32902:7171:4473:64560) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7241:4473:64560) pci, None, PCI/ISA, HM65 Express Chipset Family LPC Controller
:(4332:33128:4473:64560) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:7213:4473:64560) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7206:4473:64560) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:7226:4473:64560) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:(5772:43:5199:29043) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:278:4473:64561) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:4473:64560) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:4473:64560) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:4473:64560) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7200:4473:64560) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(4318:3572:4473:64561) pci, None, VIDEO, GF106 [GeForce GT 555M SDDR3]
:(32902:7194:4473:64560) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 6
:(4147:404:4473:64560) pci, xhci_hcd, USB, uPD720200 USB 3.0 Host Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda6 / ext4 4096 4096 11498077 9570384 9455310 2883584 2683459 2683459
:/dev/sda3 /home ext4 4096 4096 48080630 3053532 646518 12042240 11611576 11611576
:
Comment 1 John W. Linville 2012-03-28 11:02:17 EDT
                        /*
                         * rate_idx is MCS index, which can be [0-76]
                         * as documented on:
                         *
                         * http://wireless.kernel.org/en/developers/Documentation/ieee80211/802.11n
                         *
                         * Anything else would be some sort of driver or
                         * hardware error. The driver should catch hardware
                         * errors.
                         */
                        if (WARN((status->rate_idx < 0 ||
                                 status->rate_idx > 76),
                                 "Rate marked as an HT rate but passed "
                                 "status->rate_idx is not "
                                 "an MCS index [0-76]: %d (0x%02x)\n",
                                 status->rate_idx,
                                 status->rate_idx))
                                goto drop;
Comment 2 Dave Jones 2012-10-23 11:34:34 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 3 Justin M. Forbes 2012-11-14 10:24:54 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.